Bug 1922608 - [KDE/Plasma] Ship default Firefox Wayland backend on Fedora 34/KDE
Summary: [KDE/Plasma] Ship default Firefox Wayland backend on Fedora 34/KDE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-30 14:39 UTC by Martin Stransky
Modified: 2021-05-20 01:27 UTC (History)
10 users (show)

Fixed In Version: firefox-88.0-7.fc34 firefox-88.0.1-1.fc33 firefox-88.0.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-05 01:22:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Stransky 2021-01-30 14:39:17 UTC
Description of problem:

We may ship Firefox Wayland backend by default on KDE/Wayland. Let's track various KDE issues here:

Comment 1 Martin Stransky 2021-01-30 14:41:15 UTC
Related links:

Pull request of the change:
https://src.fedoraproject.org/rpms/firefox/pull-request/26

KDE/Wayand proposal:
https://fedoraproject.org/wiki/Changes/WaylandByDefaultForPlasma

Upstream KDE tracker:
https://bugzilla.mozilla.org/show_bug.cgi?id=1609115

Comment 2 Martin Stransky 2021-01-30 14:41:46 UTC
Given the recent state we may want to ship WebRender by default on KDE/Plasma but disable Wayland for Basic (non-accelerated) backend due to:
https://bugzilla.mozilla.org/show_bug.cgi?id=1685263

But that needs more testing before final decision.

Comment 3 Martin Stransky 2021-01-30 15:08:55 UTC
We should adapt this patch to ship WebRender on KDE/Wayland too:
https://bugzilla.mozilla.org/show_bug.cgi?id=1680505

Comment 4 Martin Stransky 2021-02-01 15:25:44 UTC
WebRender should be enabled by default for AMD/Intel drivers in firefox-85.0-9.fc34 build.

Comment 5 Robert Mader 2021-02-02 12:48:26 UTC
Small heads-up: KDE/Wayland will likely break in 86 because of https://bugzilla.mozilla.org/show_bug.cgi?id=1616894 / https://bugs.kde.org/show_bug.cgi?id=428499

Comment 6 Rex Dieter 2021-02-03 16:02:37 UTC
Upstream bug
https://bugs.kde.org/show_bug.cgi?id=428499
includes committed fixes already

Comment 7 Ben Cotton 2021-02-09 15:44:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 8 Martin Stransky 2021-04-01 08:49:25 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2021-5c58faca02 has a new Firefox update - firefox-87.0-7.fc34. It works for me correctly on Plasma/KDE but it needs more testing before we make it default.

Comment 9 Fedora Update System 2021-05-03 10:11:18 UTC
FEDORA-2021-48cbf6634d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-48cbf6634d

Comment 10 Fedora Update System 2021-05-03 10:11:18 UTC
FEDORA-2021-675bb860c6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-675bb860c6

Comment 11 Fedora Update System 2021-05-03 10:11:19 UTC
FEDORA-2021-d3e7cf39f4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d3e7cf39f4

Comment 12 Fedora Update System 2021-05-04 00:32:30 UTC
FEDORA-2021-d3e7cf39f4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d3e7cf39f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d3e7cf39f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-05-04 01:08:54 UTC
FEDORA-2021-675bb860c6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-675bb860c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-675bb860c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-05-04 13:58:38 UTC
FEDORA-2021-48cbf6634d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-48cbf6634d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-48cbf6634d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-05-05 01:22:19 UTC
FEDORA-2021-675bb860c6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-05-06 01:34:04 UTC
FEDORA-2021-13d768bd1a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-13d768bd1a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-13d768bd1a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-05-06 02:04:34 UTC
FEDORA-2021-f1edd94582 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f1edd94582`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f1edd94582

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-05-12 06:50:04 UTC
FEDORA-2021-beac175abc has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-beac175abc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-beac175abc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-05-13 02:08:28 UTC
FEDORA-2021-4f06d202d4 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4f06d202d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4f06d202d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-05-14 21:12:04 UTC
FEDORA-2021-beac175abc has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2021-05-20 01:27:13 UTC
FEDORA-2021-4f06d202d4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.